collectd (5.7.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - drop dpdkstat-portable-format-string.patch, included upstream.
    - add mqtt_resource_leak.patch, fixing a connection leak.
    - add mqtt_invalid_symbols.patch, stripping out invalid characters from
      MQTT topic names.
    - add dpdkstat_goto_label.patch, fixing a small mistake which prevented
      the dpdkstat from building.

 -- Marc Fournier <marc@bl.uem.li>  Mon, 23 Jan 2017 20:45:34 +0100

collectd (5.7.0-3) unstable; urgency=medium

  * debian/control: Skip libdpdk-dev build dependency on non-Intel
    architectures.

 -- Marc Fournier <marc@bl.uem.li>  Sun, 18 Dec 2016 22:08:27 +0100

collectd (5.7.0-2) unstable; urgency=medium

  * debian/patches: add dpdkstat-portable-format-string.patch, fixing the
    build on i386.
  * debian/rules: Disable dpdkstat plugin on non-Intel architectures.

 -- Marc Fournier <marc@bl.uem.li>  Sun, 18 Dec 2016 17:05:10 +0100

collectd (5.7.0-1) unstable; urgency=medium

  * New upstream release.
    New plugins:
    - DPDK interface statistics: dpdkstat
    - Report the number of used and free hugepages: hugepages (Linux-specific)
    - Intel Resource Director Technology statistics: intel_rdt (disabled in
      Debian because of missing dependencies)
    - Publish values in a Prometheus-compatible format: write_prometheus
  * debian/rules:
    - Disable hugepages plugin on non-Linux.
    - Disable the intel_rdt plugin.
  * debian/control:
    - Build-depend on libdpdk-dev: Needed by the new dpdkstat plugin.
    - Build-depend on libmicrohttpd-dev: Needed by the new write_prometheus
      plugin.
    - Suggests icinga instead of nagios packages (nagios3 removed from
      Debian. Closes: #846859). Thanks to Bas Couwenberg.
  * debian/patches:
    - Removed configure_find_lc_all.patch; included upstream.
    - Added nagios-debian-paths.patch, to use nagios-nrpe-server &
      monitoring-plugin paths for Debian. Thanks to Bas Couwenberg.

 -- Marc Fournier <marc@bl.uem.li>  Fri, 16 Dec 2016 22:11:21 +0100

collectd (5.6.1-2) unstable; urgency=medium

  * debian/control:
    - Add libdevstat-dev and libgeom-dev to kfreebsd build-deps, as they're
      needed by the disk plugin. Thanks to Florian Forster for pointing this
      out.
    - Update "Vcs-Git" and "Vcs-Browser" fields to point to GitHub repo.
    - Changed build-dependency libmysqlclient-dev to
      default-libmysqlclient-dev, and mysql-server to default-mysql-server.
    - collectd-core.deb: Add "Depends" on lsb-base, as /etc/init.d/collectd
      requires /lib/lsb/init-functions.
    - Remove "Multi-Arch: same" from libcollectdclient-dev, until the package
      gets reworked to really be multi-arch ready.
  * debian/control, debian/compat:
    - Bump debhelper compat version to 9.

 -- Marc Fournier <marc@bl.uem.li>  Tue, 01 Nov 2016 07:32:47 +0100

collectd (5.6.1-1) unstable; urgency=medium

  * New upstream release.
    - write_graphite plugin is no longer linked against libyajl. Thanks to
      Shish for reporting this (Closes: #839771).
    - rrdcached plugin now reconnects to daemon. Thanks to Matthias Urlichs
      for reporting this (Closes: #657877).
  * debian/control:
    - Add "Multi-Arch: same" to libcollectdclient-dev, as suggested by the
      Multiarch hinter.
  * debian/patches:
    - Update configure_find_lc_all.patch to reliably pick the same JVM for
      each build, making the process reproducible.
  * debian/rules:
    - Disable building the barometer, drbd, fhcount and ipc plugins on
      kfreebsd architectures, as they are Linux-only.
    - Run the test suite using dh_auto_test.

 -- Marc Fournier <marc@bl.uem.li>  Sun, 09 Oct 2016 21:42:29 +0200

collectd (5.6.0-1) unstable; urgency=medium

  * New upstream release.
    - The disk plugin now supports FreeBSD; enable it in debian/rules.
    - Suppress spammy debug messages; thanks to Antonio Russo for reporting
      this (Closes: #797687).
    New plugins:
    - Chrony daemon statistics: chrony
    - CPU sleep: Time spent in suspend: cpusleep (Linux-specific)
    - Monitor gps related data through gpsd: gps
    - Send or receive values over the network using the gRPC framework: grpc
      (disabled in Debian because of missing dependencies)
    - Lua interpreter embedded into collectd: lua
    - Publishes and subscribes to MQTT topics: mqtt
    - Submit notifications as passive check results to a local nagios
      instance: notify_nagios
    - XEN Hypervisor CPU stats: xencpu
    - Solaris zone metrics: zone (disabled in Debian; Solaris specific)
  * debian/rules:
    - Disable cpusleep plugin on non-Linux.
    - Disable xencpu plugin except on amd64, arm64, armhf, and i386.
    - Disable the zone plugin.
    - Do not cripple include files in collectd-dev when patching them; thanks
      to Scott Talbert for reporting this (Closes: #827759).
  * debian/control:
    - Build-depend on libgps-dev: Needed by the new gps plugin.
    - Build-depend on liblua5.3-dev: Needed by the new lua plugin.
    - Build-depend on libmosquitto-dev: Needed by the new mqtt plugin.
    - Build-depend on libxen-dev [amd64 arm64 armhf i386]: Needed by the new
      xencpu plugin.
    - Build-depend on libriemann-client-dev, riemann-c-client: Now needed by
      the riemann plugin.
  * debian/patches:
    - Removed bts832577-gcry-control.patch; included upstream.
    - Removed gcc6.patch; included upstream.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 24 Sep 2016 15:19:10 +0200

collectd (5.5.2-2) unstable; urgency=low

  * debian/changelog:
    - Set urgency back to low.
  * debian/control:
    - Update GCrypt's package name to libgcrypt20-dev.
  * debian/patches:
    - Added configure_find_lc_all.patch: forcing locale in configure script
      will hopefully fix build reproducibility on non-amd64 plafroms.

 -- Marc Fournier <marc@bl.uem.li>  Wed, 21 Sep 2016 14:01:55 +0200

collectd (5.5.2-1) unstable; urgency=high

  * New upstream release.
    - Fix heap overflow in the network plugin. Emilien Gaspar has identified a
      heap overflow in parse_packet(), the function used by the network plugin
      to parse incoming network packets. Thanks to Florian Forster for
      reporting the bug in Debian. (Closes: #832507, CVE-2016-6254)
    - Fix improper usage of gcry_control. A team of security researchers at
      Columbia University and the University of Virginia discovered that
      GCrypt's gcry_control is sometimes called without checking its return
      value for an error. This may cause the program to be initialized without
      the desired, secure settings. (Closes: #832577)
  * debian/patches:
    - bts832577-gcry-control.patch: Update for 5.5.2. Mostly part of the new
      upstream release, except for: Don't abort() if gcrypt initialization
      failed.
    - Drop bts823012_librrd8.patch; merged upstream.
  * Rebuild with linux-libc-dev >= 4.6 (now in testing and unstable) to
    accommodate a change to rtnl_link_stats64. Thanks to Gábor Gombás for
    reporting this (Closes: #829634).

 -- Sebastian Harl <tokkee@debian.org>  Fri, 29 Jul 2016 00:02:11 +0200

collectd (5.5.1-5) unstable; urgency=low

  * debian/control, debian/rules:
    - Disable the sigrok plugin on non-Linux; restrict build dependency to
      linux-any; thanks to Andreas Beckmann for reporting this
      (Closes: #825606).
  * debian/rules:
    - Fix failure to build twice in a row introduced by dh_autoreconf_clean;
      drop the separate config.status target and, hence, a dependency on the
      configure script.
  * debian/patches/:
    - Added gcc6.patch: Fix FTBFS with GCC 6; thanks to Lucas Nussbaum for
      reporting this (Closes: #831194).

 -- Sebastian Harl <tokkee@debian.org>  Sun, 17 Jul 2016 23:30:33 +0200

collectd (5.5.1-4) unstable; urgency=medium

  * debian/control:
    - Add dh-autoreconf to Build-Depends.
    - Update standards-version to 3.9.8 (no changes).

 -- Marc Fournier <marc@bl.uem.li>  Tue, 31 May 2016 18:16:43 +0200

collectd (5.5.1-3) unstable; urgency=medium

  * Re-enable gmond plugin. Thanks to Michael Tautschnig and Jean-Michel
    Vourgère for fixing #812462.
  * debian/patches:
    - Add bts823012_librrd8.patch. Properly detect thread safety with librrd8.
      Thanks to Jean-Michel Vourgère for the patch (Closes: #823012).
  * debian/collectd.conf:
    - Add missing example blocks in main configuration file (Closes: #806196).

 -- Marc Fournier <marc@bl.uem.li>  Wed, 25 May 2016 23:14:14 +0200

collectd (5.5.1-2) unstable; urgency=medium

  * Disable the gmond plugin for now. Ganglia is not available in testing
    (cf. #812462). Thanks to Santiago Vila for reporting this
    (Closes: #819241).
  * Update standards-version to 3.9.7 (no changes).

 -- Sebastian Harl <tokkee@debian.org>  Sat, 02 Apr 2016 11:02:49 +0200

collectd (5.5.1-1) unstable; urgency=medium

  * New upstream release:
    - The "LC_NUMERIC" locale is now forced to "C", preventing problems on
      environments where the locale uses a comma as decimal separator. Thanks
      to Hubert Jarosz for reporting this (Closes: #799289).
    - Fixed FTBFS with GCC 6.0; thanks to Martin Michlmayr for reporting this
      (Closes: #811580).
  * debian/patches:
    - Removed bts802249_varnish_41.patch; implemented upstream.
  * debian/collectd.conf:
    - Sync with upstream changes since 5.5.0.

 -- Marc Fournier <marc@bl.uem.li>  Fri, 22 Jan 2016 16:53:49 +0100

collectd (5.5.0-4) unstable; urgency=medium

  * debian/collectd-core.overrides:
    - Update 'binary-or-shlib-defines-rpath' lintian override.
  * debian/rules:
    - Strip out non-deterministic bits out of generated jar files.
    - Remove RTLD_GLOBAL workaround, which was fixed upstream.
  * debian/patches:
    - Add bts802249_varnish_41.patch (Closes: #802249)

 -- Marc Fournier <marc@bl.uem.li>  Mon, 16 Nov 2015 21:03:31 +0100

collectd (5.5.0-3) unstable; urgency=medium

  * debian/rules, debian/control:
    - Avoid hiding compiler options at build time, allowing the buildd log
      scanner to do it's job.
    - Disable smart plugin on non-linux platforms, due to missing
      libatasmart-dev build-dependency.
  * debian/collectd-core.overrides:
    - Update 'capitalization-error-in-description' lintian override.
  * debian/rules, debian/collectd-core.collectd.service:
    - Rename systemd service file to collectd-core.collectd.service, to honour
      debhelper's naming convention.
  * debian/collectd-core.collectd.service:
    - Check for configuration file presence before starting the daemon.
    - Check for configuration file validity before starting the daemon.
  * debian/control, debian/changelog:
    - Update my email address to match identity of current GPG key.

 -- Marc Fournier <marc@bl.uem.li>  Sun, 13 Sep 2015 21:42:53 +0200

collectd (5.5.0-2) unstable; urgency=low

  * debian/rules:
    - Disable the turbostat plugin on !amd64,!i386; it's Intel-hardware
      specific.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 23 Aug 2015 15:35:26 +0200

collectd (5.5.0-1) unstable; urgency=medium

  [ Marc Fournier ]
  * New upstream release:
    - Battery plugin now prefers sysfs over (the deprecated) procfs for
      reading values; thanks to Witold Baryluk for reporting this
      (Closes: #630337).
    - The configuration supports unquoted IPv6 addresses now; thanks to Geoff
      Crompton for reporting this (Closes: #632713).
    - Fixed a FTBFS using clang; thanks to Arthur Marble for reporting this
      and providing a patch (Closes: #758481).
    - collection.cgi now supports the df_complex types; thanks to Joel Franco
      Guzmán for reporting this (Closes: #739625).
    - Fixed an off-by-one error in the AVL tree implementation that broke
      setups using only one threshold definition; thanks to Alexander Golovko
      for reporting this (Closes: #754230).
    - The disk plugin now (optionally) supports instance names based on a udev
      attribute; thanks to Trent W. Buck for reporting this (Closes: #632936).
  * debian/patches:
    - Removed bts559801_plugin_find_fix.dpatch; merged upstream.
    - Removed bts747093_lvm_segfault.dpatch; merged upstream.
    - Removed bts750440_config_segfault.dpatch; merged upstream.
    - Removed bts770681_riemann_ack.dpatch; merged upstream.
    - Removed bts770683_curl_init.dpatch; merged upstream.
    - Removed bts770688_snmp_memleak.dpatch; merged upstream.
    - Removed bts770690_java_jni_thread_detach.dpatch; merged upstream.
    - Removed bts770693_timestamps.dpatch; merged upstream.
    - Removed bts770694_loglevel.dpatch; merged upstream.
    - Removed collection.cgi.dpatch; merged upstream.
    - Removed myplugin_api.dpatch; merged upstream.
  * debian/rules, debian/collectd-dev.install, myplugin_includes.dpatch:
    - Update path to header files moved to daemon/ subdirectory upstream.
  * debian/rules, debian/control:
    - Enable redis, write_redis plugins and add Build-depend on
      libhiredis-dev (previous versions depended on credis which wasn't
      packaged in Debian).
    - Enable sigrok and uncomment Build-depend on libsigrok-dev.
    - Re-enable varnish and uncomment Build-depend on libvarnishapi-dev
      (support for varnish 4.x was added upstream).
    - Enable zfs_arc (support for ZFS on linux was added upstream).
    - Add Build-depend on libatasmart-dev (required to build new smart
      plugin).
    - Add Build-depend on libcap-dev (used to avoid running new turbostat
      plugin as root on Linux).
    - Add Build-depend on libi2c-dev (required to build new barometer plugin).
    - Add Build-depend on libldap2-dev (required to build new openldap
      plugin).
    - Add Build-depend on librdkafka-dev (required to build new write_kafka
      plugin).
    - Add Build-depend on libudev-dev (used by disk plugin to enable
      udev-based device renaming on Linux) (Closes: #588153, #632936).
  * debian/control, debian/rules, debian/collectd.service:
    - Add systemd service file (Closes: #762586)
  * debian/libcollectdclient1.symbols
    - Updated for 5.5.

  [ Sebastian Harl ]
  * debian/control:
    - Add virtual-mysql-server as an alternative to the mysql-server suggests;
      thanks to Otto Kekäläinen for reporting this (Closes: 781980).
    - Add Marc to uploaders.
    - Update standards-version to 3.9.6 (no changes).
  * debian/po:
    - Update Dutch debconf template translation; thanks to Frans Spiesschaert
      (Closes: #763783).
  * Convert the package to "3.0 (quilt)" format; thanks to YunQiang Su for an
    initial patch (Closes: #688719):
    - Build-depend on debhelper (>= 7.0.50~) and drop dpatch.
    - Renamed patch files from *.dpatch to *.patch and drop the dpatch header.
    - Changed debian/patches/00list to debian/patches/series.
    - Drop all patch operations from debian/rules.
  * debian/collectd-core.overrides:
    - Update the JRE path for the rpath override.

 -- Marc Fournier <marc.fournier@camptocamp.com>  Fri, 21 Aug 2015 13:29:17 +0200

collectd (5.4.1-6+deb8u1) jessie-security; urgency=high

  * debian/patches/CVE-2016-6254.dpatch: Fix heap overflow in the network
    plugin. Emilien Gaspar has identified a heap overflow in parse_packet(),
    the function used by the network plugin to parse incoming network packets.
    Thanks to Florian Forster for reporting the bug in Debian.
    (Closes: #832507, CVE-2016-6254)
  * debian/patches/bts832577-gcry-control.dpatch: Fix improper usage of
    gcry_control. A team of security researchers at Columbia University and
    the University of Virginia discovered that GCrypt's gcry_control is
    sometimes called without checking its return value for an error. This may
    cause the program to be initialized without the desired, secure settings.
    (Closes: #832577)

 -- Sebastian Harl <tokkee@debian.org>  Thu, 28 Jul 2016 22:25:08 +0200

collectd (5.4.1-6) unstable; urgency=medium

  * debian/patches:
    - Added bts770681_riemann_ack: upstream fix for the write_riemann plugin
      to avoid locking up a remote Riemann instance; thanks to Marc Fournier
      for reporting this (Closes: #770681).
    - Added bts747093_lvm_segfault: upstream fix for a segfault in the LVM
      plugin; thanks to Bernd Zeimetz and Marc Fournier for reporting this
      (Closes: #747093).
    - Added bts770683_curl_init: upstream fix for a segfault in plugins using
      libcurl caused by concurrent memory access; thanks to Marc Fournier for
      reporting this (Closes: #770683, cf. #735173).
    - Added bts750440_config_segfault: upstream fix for a segfault when
      including empty config files; thanks to Bernd Zeimetz and Marc Fournier
      for reporting this (Closes: #750440, #770685).
    - Added bts770688_snmp_memleak: upstream fix for a memory leak in the
      SNMP plugin; thanks to Marc Fournier for reporting this
      (Closes: #770688).
    - Added bts770690_java_jni_thread_detach: upstream fix for locking up the
      Java plugin by not properly detaching from the JVM in error conditions;
      thanks to Marc Fournier for reporting this (Closes: #770690).
    - Added bts770693_timestamps: upstream fix for handling internal
      timestamps; thanks to Marc Fournier for reporting this (Closes: #770693)
    - Added bts770694_loglevel: upstream fix to correct logging behavior when
      using an invalid log level; thanks to Marc Fournier for reporting this
      (Closes: #770694, #687067).

 -- Sebastian Harl <tokkee@debian.org>  Sun, 23 Nov 2014 15:27:15 +0100

collectd (5.4.1-5) unstable; urgency=medium

  * debian/rules:
    - Fixed a typo preventing the fix for #760719 to be active
      (Closes: #760719).

 -- Sebastian Harl <tokkee@debian.org>  Sun, 28 Sep 2014 17:13:07 +0000

collectd (5.4.1-4) unstable; urgency=medium

  * debian/rules:
    - Disable preprocessor warnings on kfreebsd to work around an error
      resulting from a redefined macro in PostgreSQL's pg_config_manual.h;
      thanks to Ivo De Decker for reporting this (Closes: #760719).
  * debian/control, debian/rules:
    - Disable the 'java' plugin on sparc for now. It fails to build.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 28 Sep 2014 01:59:14 +0200

collectd (5.4.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Build-Depend on libprotobuf-c-dev instead of libprotobuf-c0-dev due to
      the protobuf-c transition (Closes: #756422).

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 12 Aug 2014 15:36:27 -0400

collectd (5.4.1-3) unstable; urgency=medium

  * debian/control:
    - Added libupsclient-dev as primary alternate build-dep to
      libupsclient1-dev; thanks to Laurent Bigonville for reporting this and
      Marc Fournier for sending a patch (Closes: #730397).

 -- Sebastian Harl <tokkee@debian.org>  Mon, 28 Apr 2014 23:29:53 +0200

collectd (5.4.1-2) unstable; urgency=medium

  * debian/rules, debian/control:
    - Disable varnish for now; it does not work with varnish 4;
      c.f. https://bugs.debian.org/745902 (Closes: #745894).
    - Drop build dependency on libvarnishapi-dev.
    - Build-depend on libow-dev and re-enable the onewire plugin; thanks to
      Adam Smutnicki for pointing this out (Closes: #744956).
  * debian/rules:
    - Added INSTALL_BASE= to perl options; else, modules are installed
      into $HOME.
    - Prepend collectd/core to collectd's header files; thanks to Sergio
      Jimenez for reporting this (Closes: #739516).
  * debian/patches:
    - Added collection.cgi.dpatch fixing apache data-sources; thanks to
      Fabiano Pires for reporting this and providing a patch
      (Closes: #743881).
    - Added myplugin_api.dpatch updating myplugin.c to the latest API.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 26 Apr 2014 16:54:19 +0200

collectd (5.4.1-1) unstable; urgency=medium

  * New upstream release:
    - Fixed a segfault when using <Match> without an Instance; thanks to
      Alexander Golovko for reporting this (Closes: #732701).
    - Fixed gcrypt initialization issues (partly fixed in 5.1.1 already);
      thanks to Pieter Lexis for reporting this (Closes: #735173).
  * debian/patches:
    - Removed amqp_0_4.dpatch; merged upstream.
  * debian/control:
    - Updated standards-version to 3.9.5; no changes.
  * debian/rules:
    - Use -Wno-error=deprecated-declarations to suppress libdbi deprecation
      warnings for now; they would else cause build failures due to -Werror.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 28 Jan 2014 21:47:00 +0100

collectd (5.4.0-3) unstable; urgency=low

  * debian/control:
    - Removed build-dep on iproute-dev which is about to be removed and has
      been superseded by libmnl-dev in collectd. Thanks to Laurent Bigonville
      and Andreas Henriksson for reporting this (Closes: #726921).
  * debian/collectd.conf:
    - Removed sample configuration for the write_mongodb plugin; the plugin is
      not available on Debian; thanks to Bryan Fullerton for reporting this
      (cf. LP:#1206813, Closes: #724699).
  * debian/patches:
    - Added amqp_0_4.dpatch: Added support for rabbitmq-c 0.4.x.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 23 Nov 2013 16:08:05 +0100

collectd (5.4.0-2) unstable; urgency=low

  * debian/control:
    - Limit build-dependency on libmnl-dev to linux-any. debian/rules already
      did the right thing and excluded the 'netlink' plugin on kfreebsd.
      Thanks to Ivo De Decker for reporting this (Closes: #724911).

 -- Sebastian Harl <tokkee@debian.org>  Thu, 03 Oct 2013 12:23:18 +0200

collectd (5.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #723187):
    - MySQL plugin now uses the name of the <Database> block rather than the
      database name to identify the read callback; thanks to Mathieu Parent
      for reporting this (Closes: #703446).
    - Fixed a segfault in the ethstat plugin; thanks to Maximilian Engelhardt
      for reporting this (Closes: #698584).
    - The swap plugin now reports NaN rather than failing if no swap space is
      available; thanks to Simon Richter for reporting this (Closes: #679163).
    New plugins:
    - read statistics from Aquaero 5 watercooling boards: aquaero (disabled in
      Debian because of missing dependencies)
    - CPU accounting information for Linux process groups: cgroups (disabled
      on non-Linux systems)
    - Logical Volume Manager usage: lvm (disabled on non-Linux systems)
    - Intel Many-Integrated-Core (MIC) statistics: mic (disabled in Debian
      because of missing dependencies)
    - statistics of sigrok-supported devices: sigrok (disabled in Debian
      because of missing dependencies)
    - aggregate values received with the StatsD protocol: statsd
    - incremental parsing of CSV files: tail_csv
    - send collected values to Riemann: write_riemann
  * Uploading to unstable; Wheezy has long been released.
  * debian/patches:
    - Removed pod-perl-5.18.dpatch; applied upstream.
  * debian/control, debian/rules:
    - Depend on libmnl-dev and enable the netlink plugin on all architectures
      (upstream removed the dependency on the netlink library which is only
      available as a static non-PIC library on Debian) (Closes: #531352).
    - Depend on liblvm2-dev and enable the LVM plugin on Linux.
  * debian/rules:
    - Disable the aquaero plugin which requires libaquaero5.
    - Disable the cgroups plugin on non-Linux.
    - Disable the MIC plugin which requires libmic.
    - Disable the sigrok plugin which requires libsigrok >= 0.2.0.
    - Removed the Perl INSTALL_BASE workaround introduced in 5.2.0-1.
  * debian/control:
    - Removed build-dependency on libhal-dev; HAL is deprecated and will be
      removed from Debian. It was optionally used by the uuid plugin.
      (Closes: #615203)
    - Build-conflict with libhal-dev to ensure consistent builds (cf. #615203).
    - Let libcollectdclient-dev replace/break collectd-dev (<< 5.2.0-1)
      because it ships files previously shipped by that package; thanks to
      Andreas Beckmann for reporting this (Closes: #717973).
    - Let collectd-core / collectd suggest / recommend default-jre-headless
      (cf. #683525).
  * debian/collectd-core.collectd.init.d:
    - Do not use different PID files for collectd and collectdmon. Else, a
      process might be left-over after changing USE_COLLECTDMON and restarting
      collectd. Thanks to Dennis Hoppe for reporting this (Closes: #704048).
  * debian/collectd-core.templates, debian/po/:
    - Fixed path-names of NEWS.Debian.gz and the migrate scripts; thanks to
      Uli Martens for reporting this (Closes: #719292).
  * debian/po/:
    - Updated Italian debconf template translation; thanks to Beatrice
      Torracca (Closes: #705869).
    - Updated Japanese debconf template translation; thanks to 'victory'
      (Closes: #715283).
  * debian/collectd.conf:
    - Recursively include all '*.conf' files in /etc/collectd/collectd.conf.d/
      using the new 'Include' option's 'Filter' feature; thanks to Laurent
      Bigonville for suggesting this change (Closes: #690668).

 -- Sebastian Harl <tokkee@debian.org>  Wed, 18 Sep 2013 13:26:58 +0200

collectd (5.2.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - Removed postgresql_writer_memleak.dpatch -- applied upstream.
  * debian/collectd-utils.install:
    - Install collectd-tg manpage.
  * debian/control:
    - Updated standards-version to 3.9.4 -- no changes.

 -- Sebastian Harl <tokkee@debian.org>  Wed, 30 Jan 2013 21:35:30 +0100

collectd (5.2.0-2) experimental; urgency=low

  * debian/patches:
    - Added postgresql_writer_memleak.dpatch fixing a memory leak in the
      PostgreSQL writer implementation.

 -- Sebastian Harl <tokkee@debian.org>  Thu, 29 Nov 2012 09:09:51 +0100

collectd (5.2.0-1) experimental; urgency=low

  * New upstream release:
    - ping plugin: Don't abort if ping_send fails but report an error only;
      thanks to Bernd Zeimetz for reporting this (Closes: #630683).
    - df plugin: Ignore "rootfs" file-system type to make sure that root
      file-system statistics are only collected once; thanks to Florian La
      Roche for reporting this (Closes: #657122).
    - Fixed parse errors when using (including) empty config files; thanks to
      Reinhard Tartler for reporting this (Closes: #592881).
    New plugins:
    - Aggregate multiple values lists into one: aggregation
    - Query statistics from BSD's packet filter: pf (FreeBSD only)
  * Uploading to experimental because of the Wheezy freeze.
  * debian/control, debian/rules:
    - Build-depend on kfreebsd-kernel-headers (kfreebsd-any only) and disable
      the 'pf' plugin on non-kfreebsd systems.
  * debian/patches:
    - Removed migrate-4-5-df.dpatch; merged upstream.
    - Removed rtnl_dump_filter.dpatch; merged upstream.
    - Added myplugin_includes.dpatch -- change the example plugin include path
      to /usr/include/collectd/core/ (see below).
    - rrd_filter_path.dpatch: Also patch the migrate-4-5 script; while this is
      not required for the (optional) auto-migration when updating the package
      (the full path is passed as an argument) it helps the user to just use
      the script without the need to add further arguments; thanks to Joey
      Hess for reporting this (Closes: #689001).
  * debian/rules:
    - Fix installation paths used for Perl bindings. Upstream now passes
      INSTALL_BASE rather than PREFIX to Makefile.PL which resulted in the
      bindings being installed to different locations than before.
  * debian/collectd-utils.install:
    - Install collectd-tg(1).
  * debian/libcollectdclient-dev.install:
    - Install the libcollectdclient network*.h header files.
  * Renamed libcollectclient0 to libcollectdclient1 due to the SONAME version
    bump.
  * debian/libcollectdclient1.symbols:
    - Updated for 5.2.
  * debian/collectd-dev.install:
    - Install the collectd (daemon) headers to /usr/include/collectd/core/
      rather than /usr/include/collectd/. The latter is used by
      libcollectdclient which causes file conflicts.
  * debian/collectd.conf:
    - Let the 'df' plugin ignore 'rootfs' (else, the root file-system would
      appear twice, causing one of the updates to fail and spam the log) and
      the usual virtual / temporary file-systems (cf. #657122).
  * debian/collectd-core.postrm:
    - Source the debconf confmodule to make the db_* functions available;
      thanks to Joey Hess and YunQiang Su for reporting this
      (Closes: #680172, #688285).
  * debian/po:
    - Updated Brazilian Portuguese debconf templates; thanks to Adriano Rafael
      Gomes (Closes: #685760).

 -- Sebastian Harl <tokkee@debian.org>  Tue, 20 Nov 2012 15:40:12 +0100

collectd (5.1.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.18: POD errors":
    add patch pod-perl-5.18 that adds =encoding to some POD files.
    (Closes: #708718)
  * Fix "Transition package to use default java implementation":
    apply modified patch from Ubuntu / James Page:
    - switch build dependency from openjdk-6-jdk to default-jdk
    - set JAVA_HOME to /usr/lib/jvm/default-java
    - update lintian override accordingly
    (Closes: #683525)

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 May 2013 00:52:37 +0200

collectd (5.1.0-3+deb7u1) wheezy-security; urgency=high

  * debian/patches/CVE-2016-6254.dpatch: Fix heap overflow in the network
    plugin. Emilien Gaspar has identified a heap overflow in parse_packet(),
    the function used by the network plugin to parse incoming network packets.
    Thanks to Florian Forster for reporting the bug in Debian.
    (Closes: #832507, CVE-2016-6254)
  * debian/patches/bts832577-gcry-control.dpatch: Fix improper usage of
    gcry_control. A team of security researchers at Columbia University and
    the University of Virginia discovered that GCrypt's gcry_control is
    sometimes called without checking its return value for an error. This may
    cause the program to be initialized without the desired, secure settings.
    (Closes: #832577)

 -- Sebastian Harl <tokkee@debian.org>  Thu, 28 Jul 2016 20:52:12 +0200

collectd (5.1.0-3) unstable; urgency=low

  * debian/patches/migrate-4-5-df.dpatch, debian/collectd-core.postinst:
    - Added patch to fix the migration of 'df' values in migrate-4-5.px;
      thanks to 'markuskaindl' for reporting this on IRC.
    - Pass --rrdfilter and --rrdtool parameters to migrate-4-5.px in order to
      let the script find those binaries/scripts.
    (Closes: #681363)
  * debian/collectd-core.collectd.init.d:
    - Catch disabled state in start and restart and don't exit with an error
      status. Amongst others, this fixes an upgrade of collectd when the
      daemon is disabled. Thanks to Florian Ernst for reporting this and
      Evgeni Golov for providing (an early) patch (Closes: #681216).
    - Don't use 'set -e' and 'exit 0' (at the end) in order to let return
      statuses propagate correctly. (cf. #681216)

 -- Sebastian Harl <tokkee@debian.org>  Sun, 15 Jul 2012 11:17:10 +0200

collectd (5.1.0-2) unstable; urgency=low

  * debian/collectd-core.postinst:
    - Don't create unused temp. directory.
  * debian/control, debian/rules:
    - Build depend on libmodbus-dev and enabled modbus plugin. 5.1 now
      supports libmodbus 3; thanks to Ivo De Decker for reporting this
      (Closes: #639796).
  * debian/po:
    - Updated Swedish debconf translation; thanks to Martin Bagge
      (Closes: #677842).
    - Added Slovak debconf translation; thanks to 'helix84'
      (Closes: #677902).
    - Updated Danish debconf translation; thanks to Joe Dalton
      (Closes: #677908).
    - Updated Czech debconf translation; thanks to Martin Šín
      (Closes: #677949).
    - Updated Russian debconf translation; thanks to Yuri Kozlov
      (Closes: #678016).
    - Updated Portuguese debconf translation; thanks to Américo Monteiro
      (Closes: #678048).
    - Updated Polish debconf translation; thanks to Michał Kułach
      (Closes: #678157).
    - Updated Galician debconf translation; thanks to Jorge Barreiro
      (Closes: #678467).
    - Updated French debconf translation; thanks to Steve Petruzzello
      (Closes: #678614).
    - Updated Spanish debconf translation; thanks to Omar Campagne
      (Closes: #679281).
  * debian/collectd-core.collectd.init.d:
    - Source /lib/lsb/init-functions in order to make systemd work in
      compatibility mode; thanks to Michael Stapelberg for reporting this
      (Closes: #679544).
    - Use log_* and status_of_proc functions from LSB's init functions to
      make collectd's output look like all the other output; thanks to
      Matthias Urlichs for pointing this out (Closes: #679355).

 -- Sebastian Harl <tokkee@debian.org>  Sat, 30 Jun 2012 13:27:41 +0200

collectd (5.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #630968):
    - syslog plugin now supports logging notifications; thanks to Trent W.
      Buck for suggesting this (Closes: #632940).
    New plugins:
    - AMQP output plugin: amqp
    - AIX logical partitions statistics: lpar (disabled in Debian; AIX only)
    - Network interface card statistics: ethstat (disabled on kfreebsd; Linux
      only)
    - Linux software-RAID device information: md (disabled on kfreebsd; Linux
      only)
    - Information about Non-Uniform Memory Access: numa (disabled on kfreebsd;
      Linux only)
    - Redis key-value database server statistics: redis (disabled in Debian;
      libcredis is not available)
    - Check thresholds and for missing values: threshold
    - Varnish HTTP accelerator daemon statistics: varnish
    - Sends data to Carbon, the storage layer of Graphite: write_graphite
    - Write values to a MongoDB NoSQL database server: write_mongodb (disabled
      in Debian; libmongoc is not available)
    - Write values to a Redis key-value database server: write_redis (disabled
      in Debian; libcredis is not available)
    New targets:
    - Upgrade data-sets from v4 clients to v5: v5upgrade
  * debian/rules:
    - Disabled lpar plugin -- this requires AIX (perfstat).
    - Disabled redis and write_redis plugins -- they require libcredis.
    - Disabled write_mongodb plugin -- this requires libmongoc.
    - Disabled ethstat, md, and numa plugins on kfreebsd -- these plugins are
      Linux specific.
    - Install contrib/exec-ksm.sh as example.
  * debian/control:
    - Added build-dep on librabbitmq-dev, required by the AMQP plugin.
    - Added build-dep on libvarnish-dev, required by the varnish plugin.
  * debian/collectd-utils.install:
    - Install collectdctl and collectdctl.1 to collectd-utils.
  * debian/libcollectdclient0.symbols:
    - Added lcc_sort_identifiers introduced in 5.1.0.
  * debian/NEWS.Debian:
    - Documented the upgrade from version 4 to 5.
  * debian/collectd-core.install:
    - Install migrate-4-5.px.
  * debian/collectd-core.{config,postinst,templates}:
    - Added debconf queries and code to automatically migrate from v4.
  * debian/source/format:
    - Set to "1.0" for now.
  * debian/po/:
    - Updated German debconf template translation.
  * debian/collectd-core.override:
    - Limit netlink override to appropriate architectures.

 -- Sebastian Harl <tokkee@debian.org>  Wed, 13 Jun 2012 08:05:01 +0200

collectd (4.10.7-2) unstable; urgency=low

  * debian/po:
    - Updated Czech debconf translation; thanks to Martin Šín
      (Closes: #673693).
    - Updated Polish debconf translation; thanks to Michał Kułach
      (Closes: #673697).
    - Updated Dutch debconf translation; thanks to Jeroen Schot
      (Closes: #673769).
    - Updated Swedish debconf translation; thanks to Martin Bagge
      (Closes: #673888).
    - Updated Russian debconf translation; thanks to Vladimir Zhbanov
      (Closes: #673890).
    - Added Italian debconf translation; thanks to Beatrice Torracca
      (Closes: #674044).
    - Updated Portuguese debconf translation; thanks to Américo Monteiro
      (Closes: #674065).
    - Updated Danish debconf translation; thanks to Joe Dalton
      (Closes: #674459).
    - Updated Brazilian Portuguese debconf translation; thanks to Adriano
      Rafael Gomes (Closes: #674589).
    - Updated French debconf translation; thanks to Steve Petruzzello and
      Christian PERRIER (Closes: #674629).
    - Updated Spanish debconf translation; thanks to Omar Campagne
      (Closes: #676383).
    - Updated German debconf translation based on Holger Wansing's feedback on
      debian-l10n-german.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 10 Jun 2012 13:49:32 +0200

collectd (4.10.7-1) unstable; urgency=low

  * New upstream release.
    - Fixed an endless loop in case the datadir is a symlink pointing to a
      non-existent target; thanks to Michael Prokop for reporting this and
      Jonathan Nieder for providing the patch (Closes: #619123).
    - Use bsd/nlist.h rather than the deprecated nlist.h on FreeBSD fixing a
      FTBFS on kfreebsd; thanks to Tobias Frost for reporting this
      (Closes: #664429).
  * debian/patches/:
    - Removed ipvs_h_include.dpatch -- applied upstream.
    - Added rtnl_dump_filter.dpatch, updating the rtnl_dump_filter() signature
      to recent versions of iproute2.
  * debian/rules:
    - Use dpkg-buildflags to determine compiler/linker flags; this also
      enables hardening build flags; thanks to Moritz Muehlenhoff for
      providing the patch (Closes: #656271).
    - Don't force building of the ipvs plugin. The ip_vs.h check has been
      fixed in configure.
    - Use /usr/share/javahelper/java-arch.sh to determine the Java
      architecture directory, thus, making sure armhf and armel are supported
      as well; thanks to peter green for reporting this and providing the
      pointer (Closes: #656274).
    - Work around #673431 (kvm.h requires sys/types.h) by forcing the processes
      plugin on kfreebsd and manually defining HAVE_STRUCT_KINFO_PROC_FREEBSD.
  * debian/README.Debian:
    - Added section 'Cleanup of old data' explaining how to get rid of
      out-dated data files (e.g. RRD files).
  * debian/control:
    - Updated to standards-version 3.9.3 -- no changes.
    - Build depend on javahelper providing java-arch.sh.
    - Use linux-any, kfreebsd-any, etc. rather than hardcoded list of
      non-Linux architectures to make life of porters easier; thanks to Robert
      Millan for reporting this and providing a pointer to the fix
      (Closes: #634690).
    - Explicitly build-depend on libkvm-dev on kfreebsd; this is required by
      the processes, swap and tcpconns plugins.
  * debian/collectd-core.postrm, debian/collectd-core.templates:
    - Prompt the user (debconf priority high) when purging the collected data
      providing an option to opt out. The question defaults to remove the
      data; thanks to Trent W. Buck for reporting and discussing this
      (Closes: #631167).
  * debian/collectd-core.collectd.init.d:
    - Added cpufrequtils to should-start, else collectd does not reliably
      detect all CPUs; thanks to Mathias Bauer for reporting and debugging
      this (Closes: #662040).
    - Use the exit codes specified by LSB in 'status' command; thanks to
      Michael Prokop for reporting this (Closes: #615840).
  * debian/po/:
    - Added Danish debconf template translation; thanks to Joe Dalton
      (Closes: #660918).
    - Added Brazilian Portuguese debconf template translation; thanks to
      Adriano Rafael Gomes (Closes: #662174).
    - Added Polish debconf template translation; thanks to Michał Kułach
      (Closes: #672739).

 -- Sebastian Harl <tokkee@debian.org>  Thu, 17 May 2012 15:55:39 +0200

collectd (4.10.4-1) unstable; urgency=low

  * New upstream release.
    - Added support for Yajl version 2; thanks to John Stamp for reporting
      this (Closes: #653879).
    - collectd.conf(5) now documents the "Globals" config option and that this
      is required for the "perl" and "python" plugins; thanks to Jeff Green
      for reporting this (Closes: #612784).
    - Be more verbose about why loading a plugin fails; thanks to Martin
      Steigerwald for reporting this (Closes: #585975).
    - Don't abort if including a config file fails; thanks to Reinhard Tartler
      for reporting this (Closes: #592880).
    - Fixed FTBFS with GCC 4.6; thanks to Matthias Klose for reporting this
      and Peter Green and Colin Watson for providing patches
      (Closes: #625323).
    - Added support for libnotify 0.7; thanks to Michael Biebl for reporting
      this (Closes: #636818).
    - Fixed FTBFS with current libiptc; thanks to Lucas Nussbaum for reporting
      this (Closes: #614439).
  * debian/patches:
    - Removed bts595756-notify_email-segfault -- included upstream.
    - Removed bts592623-curl_json-file -- included upstream.
    - Removed bts596128-reheap-fix -- included upstream.
    - Removed CVE-2010-4336 -- included upstream.
  * debian/rules:
    - Append DEB_BUILD_ARCH to JAVA_HOME; this is how it's done in the OpenJDK
      package.
    - Split 'build' target into 'build-arch' and 'build-indep' as recommended
      by policy.
  * debian/patches/ipvs_h_include, debian/rules:
    - Let the ipvs plugin use linux/ip_vs.h rather than net/ip_vs.h. Also,
      make sure to look for the header in /usr/include rather than the kernel
      directory (which has been deprecated).
    - Force building of the ipvs plugin since configure is not currently able
      to correctly check for ip_vs.h.
  * debian/control:
    - Updated standards-version to 3.9.2 -- no changes.
  * debian/collectd-core.collectd.init.d:
    - Added a description LSB header field.
  * debian/collectd-core.overrides:
    - Updated entry for java's binary-or-shlib-defines-rpath.

 -- Sebastian Harl <tokkee@debian.org>  Mon, 09 Jan 2012 16:10:58 +0100

collectd (4.10.1-2.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Fix DoS in RRD file creation (Closes: #605092)
    Fixes: CVE-2010-4336
    Thanks to Florian Forster

 -- Steffen Joeris <white@debian.org>  Wed, 08 Dec 2010 17:45:50 +1100

collectd (4.10.1-2) unstable; urgency=medium

  * debian/rules:
    - Added support for ‘powerpcspe’ to the Java arch mapping; thanks to
      Sebastian Andrzej Siewior for the patch (Closes: #592909).
  * debian/patches:
    - Added bts595756-notify_email-segfault -- upstream patch fixing a
      segfault in the 'notify_email' plugin; thanks to Manuel CISSE for
      reporting this (Closes: #595756).
    - Added bts592623-curl_json-file -- upstream patch fixing access to
      file:// URLs in the 'curl_json' plugin; thanks Baptiste Mille-Mathias
      for reporting this and pointing out the patch (Closes: #592623).
    - Added bts596128-reheap-fix -- upstream patch fixing the 'reheap()'
      function used to manage the "read" callbacks and making sure all plugins
      get executed correctly and in each interval (Closes: #596128).
  * Set urgency to "medium" because of the RC bug-fix.

 -- Sebastian Harl <tokkee@debian.org>  Wed, 08 Sep 2010 22:50:54 +0200

collectd (4.10.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Removed bts561577_collectd2html_recursive_fix -- applied upstream.
    - Removed bts575029-collectd2html-xhtml -- applied upstream.
    - Removed bts557599_powerdns_fix -- applied upstream.
  * debian/control:
    - Updated standards-version to 3.9.1 -- no changes.

 -- Sebastian Harl <tokkee@debian.org>  Wed, 28 Jul 2010 18:45:31 +0200

collectd (4.10.0-1) unstable; urgency=low

  * New upstream release:
    New plugins:
    - Parse XML data: curl_xml
    - Parse values from Modbus/TCP enabled devices: modbus (disabled in
      Debian; libmodbus is not available)
    - Timing values from Pinba: pinba
  * debian/control:
    - Build-depend on libprotobuf-c0-dev and protobuf-c-compiler required by
      the 'pinba' plugin.
    - Updated to standards-version 3.8.4 -- no changes.
  * debian/patches:
    - Removed bts566199_collection_hide_types -- applied upstream.
    - Removed typo_fixes -- applied upstream.
    - Added bts575029-collectd2html-xhtml, adding support for XHTML to
      collectd2html.pl; thanks to Ivan Shmakov for reporting this and Max
      Henkel and Timur Kirilichev for providing patches (Closes: #575029).
  * debian/rules:
    - Define (and pass to configure) $JAR, required by current versions of the
      Java bindings.
    - Added support for Renesas SH4 to the Java arch mapping; thanks to
      Nobuhiro Iwamatsu for the patch (Closes: #564165).
  * debian/collectd.postinst:
    - Manually replace /usr/share/doc/collectd/examples/ with a symlink when
      upgrading from versions << 4.10.0-1~ -- this is not handled by dpkg
      according to policy 6.6; thanks to Joey Hess for reporting this
      (Closes: #569268).
  * debian/collectd-core.overrides:
    - Override 'capitalization-error-in-description python Python' -- all
      plugin names are spelled in lower-case letters.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 08 Jun 2010 00:42:56 +0200

collectd (4.9.1-2) unstable; urgency=low

  * debian/rules:
    - Re-enabled non-kfreebsd plugins on i386 and amd64, which had been
      disabled accidentally by using findstring (which does a substring match)
      to compare DEB_BUILD_ARCH with kfreebsd-{amd64,i386}; thanks to ilia
      kudirov for reporting this (Closes: #567259).
    - Replaced all occurrences of 'findstring' with appropriate 'filter'
      statements to make sure to match words rather than substrings.

 -- Sebastian Harl <tokkee@debian.org>  Thu, 28 Jan 2010 22:09:16 +0100

collectd (4.9.1-1) unstable; urgency=low

  * New upstream release:
    New plugins:
    - Number of context switches done by the OS: contextswitch
    - Query statistics from mon.itor.us: Monitorus (Perl based plugin)
    - Collect statistics from NetApp filers: netapp (disabled in Debian;
      libnetapp is not available)
    - OpenVZ statistics: OpenVZ (Perl based plugin)
    - Embedding a Python interpreter: python
    - Query statistics from RouterOS: routeros (disabled in Debian;
      librouteros is not available)
    New matches:
    - Match values using a hash function of the hostname: hashed
    New targets:
    - Scale (multiply) values: scale
  * debian/control:
    - Build-depend on "python-dev", required to build the "python" plugin.
  * debian/collectd-core.install:
    - Install all collectd-*.5 manpages (in particular, this includes the
      newly added collectd-python.5).
  * Added support for kfreebsd-{i386,amd64}; see below for details
    (Closes: #566521).
  * debian/control, debian/rules:
    - Disabled the following Linux-specific plugins / removed the following
      build-deps on kfreebsd-{i386,amd64}:
      + "iptables" plugin / iptables-dev
      + "ipvs" plugin / linux-libc-dev
      + "madwifi" plugin
      + "netlink" plugin / iproute-dev
      + "sensors" plugin / libsensors4-dev
      + "vserver" plugin
    - Disabled the following plugins / removed the following build-deps on
      kfreebsd-{i386,amd64} -- the build-deps are (not yet) available on
      kfreebsd:
      + "gmond" plugin / libganglia1-dev
      + "libvirt" plugin / libvirt-dev
      + "java" plugin / openjdk6-jdk
    - Enabled the "rrdcached" plugin and build-depend on librrd-dev (>= 1.4~)
      (and removed the optional build-dep on librrd2-dev).
    - Enabled the "tokyotyrant" plugin (except on kfreebsd-{i386,amd64}) and
      build-depend on libtokyotyrant-dev (which is not available on kfreebsd).
      Also, build-depend on libtokyocabinet-dev to work around a missing
      dependency in libtokyotyrant-dev (see #566584).
  * debian/rules:
    - Disabled the following plugins on kfreebsd-{i386,amd64} which have not
      yet been ported to FreeBSD: battery, conntrack, contextswitch, cpufreq,
      disk, entropy, fscache, irq, nfs, protocols, serial, thermal, vmem,
      wireless.
    - Simplified Java archdir mapping: removed entries "pointing" to
      themselves and let those default to DEB_BUILD_ARCH.
    - Check whether all patches have been enabled; fail, if not.
  * debian/patches:
    - Added bts566199_collection_hide_types.dpatch -- added ability to hide
      specified types in collection.cgi; thanks to Pavel Piatruk for the patch
      (Closes: #566199).
    - Added typo_fixes.dpatch -- fixing some typos in manpages and error
      messages; thanks to lintian(1) for reporting this.
  * debian/collectd-core.overrides:
    - Replaced overrides for spelling-error-in-description with
      capitalization-error-in-description.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 26 Jan 2010 00:22:32 +0100

collectd (4.8.2-1) unstable; urgency=medium

  * New upstream release:
    - Now using libtool 2.
  * Set urgency to medium because of the fix for #559801.
  * Split the "collectd" binary package into "collectd-core" and "collectd".
    The former provides the main program file and the plugins while the latter
    provides the configuration. This allows for much more flexible setups
    (e.g. providing customizations on top of "collectd-core" without modifying
    the "collectd" package) and, amongst others, removes the hard dependency
    on librrd (Closes: #495936, #544311).
  * debian/collectd-core.collectd.init.d:
    - Do not (try to) start collectd if the config file does not exist. Else,
      installation of "collectd-core" (which does not provide configuration)
      would fail.
  * debian/collectd.postinst:
    - Let the "collectd" package restart the daemon, since it provides the
      config file.
  * debian/collectd.links:
    - Symlink /u/s/d/collectd/examples to /u/s/d/collectd-core/examples.
  * debian/control:
    - Build-depend on the right combination of libsnmp-dev and perl. Perl's
      CFLAGS (included in net-snmp's CFLAGS) introduced '-fstack-protector' in
      version 5.10.1 on some architectures (those supporting that features).
      net-snmp has been fixed to handle that correctly in 5.4.2.1~dfsg-4;
      thanks to Lamont Jones and Dann Frazier for reporting this
      (Closes: #559087).
    - Build-depend on libsensors4-dev rather than libsensors-dev. libsnmp-dev,
      starting with version 5.4.2.1~dfsg-5, supports libsensors4, thus making
      that possible. This restores the full functionality of the "sensors"
      plugin, which does not work well with libsensors3 and lm-sensors-3;
      thanks to Anssi Kolehmainen for reporting this (Closes: #538795).
    - Build-depend on libltdl-dev to make it possible to use the system-wide
      libltdl.
    - No longer conflict/provide/replace the pre-Lenny "collectd-$plugin"
      packages.
    - Update the list of collectd-core's suggestions: added various services
      providing data that may be collected by collectd. Downgraded lm-sensors
      from a recommendation to a suggestion.
  * debian/patches:
    - Removed gmond-fix-compile-error.dpatch -- included upstream.
    - Added bts561577_collectd2html_recursive_fix.dpatch -- fixed
      collectd2html.pl's recursive mode and improved some defaults; thanks to
      Yuri D'Elia for reporting this and providing a patch (Closes: #561577).
    - Added bts557599_powerdns_fix.dpatch -- fixed communication to pdns
      versions 2.9.22 and above; thanks to <tm@iprog.com> for reporting this
      and Luke Heberling for providing the patch (Closes: #557599).
    - Added bts559801_plugin_find_fix.dpatch -- make collectd resistant
      against copies of libltdl affected by CVE-2009-3736. This fixes a
      potential but very unlikely security issue, e.g. found in the embedded
      copy. For details about how collectd might be affected, see
      <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559801#15>; thanks to
      Michael Gilbert for reporting this (Closes: #559801).
  * debian/rules:
    - Pass --without-included-ltdl to configure to tell libtool 2 to not use
      the shipped libltdl but rather the one available in the system. Thus,
      in the future, libltdl related issues do no longer require updated
      collectd packages.
    - Pass --disable-static to configure to tell libtool 2 to not build any
      static libraries.
    - Install debian/collectd.conf as an example into "collectd-core".
    - Output the content of config.log if configure fails -- this might help
      debugging.
  * debian/README.Debian:
    - Added a short explanation of the package split.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 26 Dec 2009 12:06:46 +0100

collectd (4.8.1-2) unstable; urgency=low

  * debian/rules:
    - Disabled the "java" plugin on hppa for now to work around a backlog in
      the buildds that currently prevents a transition to testing.
  * debian/control:
    - Do not build-depend on openjdk-6-jdk on hppa.

 -- Sebastian Harl <tokkee@debian.org>  Thu, 19 Nov 2009 10:55:33 +0100

collectd (4.8.1-1) unstable; urgency=medium

  * New upstream release:
    - Fixed a build issue with libiptc that caused a segfault in the iptables
      plugin; thanks to Rodrigo Campos for reporting this (Closes: #535786).
    - Updated the powerdns plugin to support pdns 2.9.22 (and above) as well;
      thanks to Thomas Morgan for reporting this and Luke Heberling for
      providing a patch (Closes: #535787).
    New plugins:
    - Parse JSON files: curl_json
    - Query data from Java processes using JMX: GenericJMX (Java based plugin)
    - Atheros wireless LAN chipset statistics: madwifi
    - Optimized Link State Routing daemon statistics: olsrd
    - Tokyo Tyrant server statistics: tokyotyrant (disabled in Debian,
      libtokyotyrant is not available)
    - Send collected values to a web-server: write_http
    - ZFS Adaptive Replacement Cache statistics: zfs_arc (disabled in Debian,
      libkstat is not available)
    New matches:
    - Match zero COUNTER values: empty_counter
  * Set urgency to medium because of the fix for #535786.
  * debian/rules:
    - Install contrib/GenericJMX.conf to /usr/share/doc/collectd/examples/.
    - Disabled the tokyotyrant and zfs_arc plugins - their dependencies are
      not available.
  * debian/patches:
    - Removed bts535787-powerdns-fix-localsocket.dpatch - included upstream.
    - Removed bts541953-curl-followlocation.dpatch - included upstream.
    - Removed bts542859-df-fix-ignorelist.dpatch - included upstream.
    - Removed java-fix-jvm-start.dpatch - included upstream.
    - Removed libvirt-reconnect.dpatch - included upstream.
    - Removed network-fix-cacheflush.dpatch - included upstream.
    - Removed plugin-fix-unregister.dpatch - included upstream.
    - Added gmond-fix-compile-error.dpatch - upstream patch fixing a compile
      error in the gmond plugin.
  * debian/control:
    - Build depend on libyajl-dev, which is required by the curl_json plugin.
  * Added debian/README.source:
    - The file includes a pointer to /usr/share/doc/dpatch/README.source.gz.
  * New debconf template translations:
    - ja.po, thanks to Hideki Yamane (Closes: #550968).

 -- Sebastian Harl <tokkee@debian.org>  Thu, 15 Oct 2009 20:54:46 +0200

collectd (4.7.2-1) unstable; urgency=low

  * New upstream release (Closes: #541887).
    - collectd2html.pl now supports the creation of SVG images; thanks to Ivan
      Shmakov for providing a patch (Closes: #482185).
    New plugins:
    - Connection tracking table size: conntrack
    - Linux file-system based caching framework statistics: fscache
    - Receive and interpret Ganglia multicast traffic: gmond
    - Embedded Java Virtual Machine: java
    - Query and parse data from a memcache daemon: memcachec
    - Information about network protocols: protocols
    - Parse table-like structured files: table
    - Power consumption measurements from "The Energy Detective" (TED): ted
    - System uptime: uptime
  * debian/rules:
    - Install collectd-unixsock.py to /usr/share/doc/collectd/examples/.
    - Pass CPPFLAGS and CFLAGS as arguments to configure instead of setting
      them in the environment - this is the recommended way.
    - Pass appropriate JAVAC, JAVA_CPPFLAGS and JAVA_LDFLAGS variables to
      configure, using OpenJDK found in /usr/lib/jvm/java-6-openjdk. The
      archdir mapping used by the openjdk-6 Debian package is used to find
      libjvm.so in JAVA_HOME/jre/lib/ARCHDIR/server.
    - Use -rpath to tell the "java" plugin where to find libjvm.so.
    - Pass --enable-all-plugins to configure to make sure that the build fails
      if any prerequisites are missing.
  * debian/control:
    - Build-depend on openjdk-6-jdk.
    - Build-depend on libganglia1-dev (>= 3), required by the gmond plugin.
    - Build-depend on libgcrypt11-dev, used by the network plugin.
    - Updated Standards-Version to 3.8.3 (no changes).
    - Changed build-dependency libmysqlclient15-dev to libmysqlclient-dev -
      this allows transitions to be handled thru binNMUs if possible.
  * debian/collectd.install:
    - Install collectd-java.5.
  * debian/patches:
    - Removed libcollectdclient_static_sstrerror.dpatch - included upstream.
    - Added network-fix-cacheflush.dpatch - upstream patch to fix the handling
      of the 'CacheFlush' config option of the "network" plugin.
    - Added libvirt-reconnect.dpatch - upstream patch to let the "libvirt"
      plugin re-connect to libvirtd if connecting fails.
    - Added plugin-fix-unregister.dpatch - upstream patch to make
      'plugin_unregister_read()' functional again, thus fixing a failed
      assertion in some cases.
    - Added java-fix-jvm-start.dpatch - upstream patch to fix the JVM startup.
    - Added bts541953-curl-followlocation.dpatch - upstream patch to let
      plugins using libcurl follow HTTP redirects; thanks to Joey Hess for
      reporting this (Closes: #541953).
    - Added bts535787-powerdns-fix-localsocket.dpatch - upstream patch fixing
      the handling of the 'LocalSocket' config option of the "powerdns"
      plugin; thanks to Thomas Morgan for reporting this and Luke Heberling
      for providing a patch (references: #535787).
    - Added bts542859-df-fix-ignorelist.dpatch - upstream patch to fix the
      handling of the ignorelist in the "df" plugin; thanks to Joey Hess for
      reporting this (Closes: #542859).
  * debian/README.Debian:
    - Removed the note about how to get collectd2html.pl working with
      version 4 of collectd - the script now supports the --recursive option
      which takes care of that.
  * debian/collectd.overrides:
    - Documented the 'binary-or-shlib-defines-rpath' warning - the rpath is
      required by the "java" plugin.
  * New debconf template translations:
    - cs.po, thanks to Martin Sin (Closes: #534206).
    - ru.po, thanks to Yuri Kozlov (Closes: #539467).
  * debian/control, debian/rules:
    - No not limit the "libvirt" plugin to amd64, i386, powerpc - libvirt-dev
      seems to be available on all architectures now.
    - Reintroduced a work around for #474087 (broken openipmi .pc files) by
      providing a fixed version of OpenIPMIpthread.pc in debian/pkgconfig and
      adding that path to PKG_CONFIG_PATH. Removed the version from the
      libopenipmi-dev build dependency for now.
  * debian/collectd.conf:
    - Set the "apache" plugin's URL according to the default used by Debian's
      Apache; thanks to Joey Hess for reporting this (Closes: #541888).
  * debian/libcollectdclient-dev.install, debian/rules:
    - Do not install libcollectdclient's .la file in favor of the Squeeze
      release goal to remove those files (for details see
      <http://lists.debian.org/debian-devel/2009/08/msg00783.html>).

 -- Sebastian Harl <tokkee@debian.org>  Sat, 29 Aug 2009 12:42:15 +0200

collectd (4.6.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Removed battery_acpi_complain.dpatch - included upstream.
    - Removed include_empty_files.dpatch - included upstream.
    - Removed ntpd_type_pun_fix.dpatch - included upstream.
    - Removed rrdtool_uninitialized_fix.dpatch - included upstream.
    - Added libcollectdclient_static_sstrerror.dpatch to make a private
      function in libcollectdclient static.
  * debian/rules:
    - Install collectd-network.py to /usr/share/doc/collectd/examples/.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 02 Jun 2009 22:03:10 +0200

collectd (4.6.2-3) unstable; urgency=low

  * debian/patches:
    - Actually enabled rrdtool_uninitialized_fix.dpatch - d'oh!

 -- Sebastian Harl <tokkee@debian.org>  Fri, 29 May 2009 15:49:46 +0200

collectd (4.6.2-2) unstable; urgency=low

  * debian/patches:
    - Added battery_acpi_complain.dpatch - upstream patch to fix excessive
      error messages in the battery plugin in case /proc/acpi/battery is not
      available.
    - Added ntpd_type_pun_fix.dpatch - upstream patch to fix dereferencing of
      a type-punned pointer identified by GCC 4.4, thanks to Martin Michlmayr
      for reporting this (Closes: #526667).
    - Added include_empty_files.dpatch - upstream patch to fix the inclusion
      of empty configuration files, thanks to Alexander Wirt for reporting
      this.
    - Added rrdtool_uninitialized_fix.dpatch - upstream patch to fix an
      uninitialized value warning in the rrdtool plugin, thanks to Andreas
      Moog for reporting this.
  * debian/collectd.conf, debian/filters.conf:
    - Added a sample filter chain configuration.
  * debian/rules:
    - Added contrib/php-collection/ to /usr/share/doc/collectd/.
    - Disabled "netlink" plugin on mips and mipsel - those architectures do
      not allow to link non-PIC code into shared objects, thanks to Peter De
      Schrijver for reporting this (Closes: #524593).
  * debian/control:
    - Build-depend on iptables-dev (>= 1.4.3.2-2) to link against the packaged
      libiptc which is available as shared library since iptables 1.4.3.
      Depend on versions >= 1.4.3.2-2 because of #524766.

 -- Sebastian Harl <tokkee@debian.org>  Fri, 29 May 2009 14:12:36 +0200

collectd (4.6.2-1) unstable; urgency=low

  * New upstream release.
    - Fixed the use of struct in6_addr (Closes: #521748).
    - Added a filter infrastructure based on "matches" and "targets".
    - Added support for vmem graphs to collection.cgi (Closes: #521993).
    New plugins:
    - bind9 name-server and zone statistics: bind
    - Parse statistics from websites: curl
    - Query data from a relational database: dbi
    - OpenVPN traffic and compression statistics: openvpn
    - Query data from an Oracle database: oracle (disabled in Debian,
      libclntsh is not available)
    - Write data via the RRD accelerator daemon: rrdcached (disabled in
      Debian, rrdclient support is not yet available)
    New matches:
    - Match values by their identifier based on regular expressions: regex
    - Match values with an invalid timestamp: timediff
    - Select values by their data sources' values: value
    New targets:
    - Create and dispatch a notification: notification
    - Replace parts of an identifier using regular expressions: replace
    - Set (overwrite) entire parts of an identifier: set
  * Uploading to unstable, since Lenny has been released.
  * New debconf template translations:
    - vi.po, thanks to Clytie Siddall (Closes: #515872).
    - es.po, thanks to Francisco Javier Cuadrado and Erika Chacón Vivas
      (Closes: #520988).
  * debian/patches:
    - Removed perl-uninitialized-var.dpatch - included upstream.
  * debian/control:
    - Added new binary packages libcollectdclient0 and libcollectdclient-dev
      for the newly added client library.
    - Added new binary package collectd-utils for optional utilities that pull
      in additional dependencies. Currently, this only includes
      collectd-nagios. The new package replaces collectd (<< 4.6.1-1~),
      because it overwrites /usr/bin/collectd-nagios.
    - Added libdbi0-dev to the build dependencies - this is required by the
      dbi plugin.
    - Moved collectd-dbg from section "utils" to the newly added "debug".
    - Updated Standards-Version to 3.8.1.
  * debian/rules:
    - Use dh_install and *.install files to specify which package some file
      belongs to.
  * debian/libcollectdclient0.symbols:
    - Added symbols file for libcollectdclient.
  * debian/collectd.overrides:
    - Override "spelling-error-in-description" for the apache plugin name -
      all plugins are spelled lowercase.
  * debian/collectd.init.d:
    - Start the daemon using start-stop-daemon's --oknodo option to exit
      successfully if the daemon is already running as requested by section
      9.3.2 of the Debian Policy 3.8.1.
  * debian/copyright:
    - Reference GPL-2 in addition to GPL (latest version), since GPL2-only is
      used by some files.

 -- Sebastian Harl <sh@tokkee.org>  Thu, 02 Apr 2009 16:38:57 +0200

collectd (4.5.1-1) experimental; urgency=low

  * New upstream release.
    New plugins:
    - Count the number of files in directories: filecount
    - Send desktop notifications to a notification daemon: notify_desktop
    - Send notification E-mails: notify_email
    - One-wire sensors information: onewire (experimental, disabled in Debian)
    - PostgreSQL database statistics: postgresql
    - Linux ACPI thermal zone information: thermal (Closes: #492580)
  * Uploading to experimental because of the Lenny freeze.
  * debian/control:
    - Added build dependency on libglib2.0-dev and libnotify-dev required by
      the notify_desktop plugin.
    - Added build dependency on libesmtp-dev required by the notify_email
      plugin.
    - Added build dependency on libpq-dev required by the postgresql plugin.
    - Let collectd-dbg and collectd-dev depend on ${misc:Depends} - this is
      required when using debhelper.
  * debian/rules:
    - Disabled onewire plugin - owfs is not yet available in Debian.
    - Install contrib/snmp-probe-host.px to /usr/share/doc/collectd/examples/.
    - Set CONFIGFILE to /etc/collectd/collectd.conf.
  * debian/patches:
    - Added perl-uninitialized-var.dpatch - upstream patch to fix an
      uninitialized variable warning causing a FTBFS because of -Werror.
    - Removed myplugin_strcpy.dpatch - applied upstream.
    - Removed perl_deadlock.dpatch - included upstream.
    - Removed memory_libstatgrab.dpatch - included upstream.
    - Removed collectd_memleak.dpatch - included upstream.
    - Removed snmp_memleak.dpatch - included upstream.
    - Removed memcached_fdleak.dpatch - included upstream.
    - Removed memcached_timeout.dpatch - included upstream.
    - Removed pod-errors.dpatch - included upstream.
  * debian/collectd.overrides:
    - Override "spelling-error-in-description" for the postgresql plugin name
      - all plugins are spelled lowercase.
  * debian/collectd.init.d:
    - Do not restart collectd if the configuration test fails.

 -- Sebastian Harl <sh@tokkee.org>  Fri, 12 Dec 2008 10:09:48 +0100

collectd (4.4.2-3) unstable; urgency=low

  * New debconf template translation:
    - nl.po, thanks to Eric Spreen (Closes: #502204).
    - sv.po, thanks to Martin Bagge (Closes: #504248).
  * debian/patches:
    - Added pod-errors.dpatch to fix some minor POD errors.
  * debian/rules:
    - Remove generated manpages in the clean target to avoid cluttering the
      source diff with the rebuilt manpages.
  * debian/collectd.conf:
    - Fixed a wrong type used in the "tail" plugin example.

 -- Sebastian Harl <sh@tokkee.org>  Sat, 06 Dec 2008 16:53:25 +0100

collectd (4.4.2-2) unstable; urgency=low

  * Removed the work around for #474087 (broken openipmi .pc files) introduced
    in 4.4.1-1 and instead build depend on libopenipmi-dev (>= 2.0.14-1~)
    which includes fixed .pc files. This fixes an undefined symbol error when
    loading the ipmi plugin caused by that work around (Closes: #494665).
  * debian/collectd.init.d:
    - The "status" command now exits with 1 if collectd is not running.
    - Do not suppress output when checking the configuration with the -t
      command line option. This will also show errors that don't cause
      collectd to abort, e.g. failure to load plugins (Closes: #499232).
  * debian/control:
    - Added librrd-dev as the preferred option to the librrd2-dev build
      dependency - the latter one is a virtual package since rrdtool 1.3.
  * Added debian/patches/perl_deadlock.dpatch - upstream patch to fix a
    possible deadlock in the perl plugin (Closes: #499179).
  * Added debian/patches/memory_libstatgrab.dpatch - trivial upstream patch to
    fix a typo in the libstatgrab code of the memory plugin.
  * Added debian/patches/collectd_memleak.dpatch - trivial upstream patch to
    fix a possible memory leak.
  * Added debian/patches/snmp_memleak.dpatch - trivial upstream patch to fix a
    possible memory leak in the snmp plugin.
  * Added debian/patches/memcached_fdleak.dpatch - trivial upstream patch to
    fix a possible file descriptor leak in the memcached plugin.
  * Added debian/patches/memcached_timeout.dpatch - trivial upstream patch to
    fix the timeout passed to poll(2).

 -- Sebastian Harl <sh@tokkee.org>  Thu, 18 Sep 2008 19:12:54 +0200

collectd (4.4.2-1) unstable; urgency=low

  * New upstream release.
  * Removed librrd0-dev and libmysqlclient14-dev from the build-dependencies -
    those package are no longer available since Etch.
  * Removed byacc from the build-dependencies - collectd now requires bison.
  * Removed libupsclient-config.sh - upstream now supports pkg-config for
    libupsclient.
  * Include collection3 in /usr/share/doc/collectd/examples/:
    - Updated README.Debian to point the collection3's README.
    - Added libconfig-general-perl to the suggested packages.
  * README.Debian: Added a note about how to get collectd2html.pl working with
    version 4 of collectd.
  * Added debian/patches/myplugin_strcpy.dpatch - use sstrncpy() instead of
    strcpy() which is poisoned in collectd.h.
  * collectd.overrides: Removed shlib-with-non-pic-code for nut.so - the
    plugin now links against the shared libupsclient.
  * Do not compress any example files, so they may be used directly.

 -- Sebastian Harl <sh@tokkee.org>  Fri, 25 Jul 2008 19:58:58 +0200

collectd (4.4.1-2) unstable; urgency=low

  * Restrict libcurl4-gnutls-dev build dependency to versions which are not
    affected by #488701 (Closes: #489091).
  * Added linux-libc-dev (<< 2.6.25-1) as an option to the linux-libc-dev
    (>= 2.6.25-4) build dependency - those versions are not affected by
    #479899.
  * Added build dependency on pkg-config - this is used by collectd's
    configure script to check for a couple of libraries.
  * Added libupsclient-config.sh to imitate libupsclient-config which is no
    longer available. libupsclient-config.sh is a simple wrapper around
    pkg-config. This is a workaround until upstream supports pkg-config for
    libupsclient.
  * Replaced nut-dev build dependency with libupsclient1-dev:
    Reenabled the "nut" plugin on all architectures.

 -- Sebastian Harl <sh@tokkee.org>  Mon, 07 Jul 2008 20:45:53 +0000

collectd (4.4.1-1) unstable; urgency=low

  * New upstream release.
    - Fixed another issue of the sensors plugin affecting some chip types
      (Closes: #468143).
    - Fixed creation of "vserver" graphs in collection.cgi (Closes: #475120).
    - Fixed a segfault when using libperl 5.10.
    - collectd now ships libiptc itself.
    New plugins:
    - Ascent server statistics: ascent
    - IPMI sensors information: ipmi
    - PowerDNS name server statistics: powerdns
    - incremental parsing of logfiles: tail
    - TeamSpeak2 server statistics: teamspeak2
    - detailed virtual memory statistics: vmem
  * Disable "tcpconns" plugin by default (Closes: #478759).
  * Reenabled iptables plugin on all architectures (Closes: #473435).
    - Added the plugin to collectd.conf.
    - Added /usr/share/doc/collectd/examples/iptables/.
    - Added build dependency on linux-libc-dev (>= 2.6.25-4) - that version is
      required because of #479899.
  * New debconf template translations:
    - gl.po, thanks to Jacobo Tarrio (Closes: #482667).
  * Added a work around for #474087 (broken openipmi .pc files) by forcing the
    inclusion of the ipmi plugin and manually specifying the dependencies.
  * Updated standards-version to 3.8.0 (no changes).

 -- Sebastian Harl <sh@tokkee.org>  Tue, 17 Jun 2008 10:35:51 +0200

collectd (4.3.2-1) unstable; urgency=low

  * New upstream release.
    - Fixed handling of ignored sensors instances (Closes: #468143).
    - Fixed reading of wireless noise values (Closes: #471788).
  * Adopted patches and script to extractDS.px being renamed to rrd_filter.px.
  * Clarified debconf template in respect to packages required for the data
    migration (Closes: #469336).
  * collectd.conf: Moved logging plugins to the top of the file.
  * New debconf template translations:
    - de.po, thanks to Kai Wasserbäch (Closes: #469334).
    - fr.po, thanks to Florent Usseil (Closes: #468813).
    - pt.po, thanks to Américo Monteiro (Closes: #469745, #472183).
  * collectd.init.d: Consider the DISABLE option only when starting collectd.
  * Disabled iptables plugin - libiptc is no longer available in Debian.
    - Removed the plugin from collectd.conf.
    - Removed /usr/share/doc/collectd/examples/iptables/.

 -- Sebastian Harl <sh@tokkee.org>  Mon, 31 Mar 2008 12:13:18 +0200

collectd (4.3.0-2) unstable; urgency=low

  * Added "lm-sensors" to the recommended packages and README.Debian.plugins
    (this is required by the sensors plugin).
  * Restrict the libvirt-dev build dependency and the libvirt plugin to amd64,
    i386 and powerpc (libvirt is only available on those architectures).
  * Restrict the libvirt-dev build dependency to versions >= 0.4.0-6 to make
    sure Xen is supported and to fix some strange FTBFS complaining about a
    missing symbol "virDomainBlockStats".

 -- Sebastian Harl <sh@tokkee.org>  Thu, 06 Mar 2008 23:37:44 +0100

collectd (4.3.0-1) unstable; urgency=low

  * New upstream release.
    - Added basic support for monitoring by introducing notifications and
      threshold checking.
    - Reverse lookups can be disabled using the "ReverseLookups" option of the
      ntpd plugin (Closes: #455162).
    New plugins:
    - Set the hostname to an unique identifier: uuid
    - CPU, dist, network statistics of guest systems: libvirt
  * Upload to unstable: With the latest changes to the perl plugin, all parts
    of collectd are suitable for a release.
  * Added libvirt-dev, libxml2-dev and libhal-dev to the build dependencies.
  * Updated package description to mention the monitoring support.
  * Install liboping/oping.h to collectd-dev as well.
  * collectd.init.d: Optionally start collectdmon to monitor collectd. This
    can be configured using the USE_COLLECTDMON variable - enabled by default.
  * collectd.init.d: Added ENABLE_COREFILES option - if enabled the core file
    limit will be set to unlimited - disabled by default.
  * Compile collectd with -DLT_LAZY_OR_NOW='RTLD_LAZY|RTLD_GLOBAL' to force
    lt_dlopen() to use the RTLD_GLOBAL flag which is required by the perl
    plugin (which would otherwise be unable to find symbols defined in libperl
    when loading perl modules that require such symbols).
  * Disable debugging support.
  * watch file: Added uversionmangle for "beta" and "-rc".
  * Override "spelling-error-in-description" for the mysql plugin name - all
    plugins are spelled lowercase.

 -- Sebastian Harl <sh@tokkee.org>  Tue, 19 Feb 2008 21:44:42 +0100

collectd (4.2.4-1) experimental; urgency=low

  * New upstream release.
  * Added versioned build-dependency on dpkg-dev (>= 1.14.10); collectd FTBFS
    with earlier versions because of #452262.
  * Added libregexp-common-perl (required by Collectd::Unixsock) to the
    suggested packages.
  * Added support for the "status" command to the init script.
  * Updated standards-version to 3.7.3 (no changes).
  * Added --without-libstatgrab to the configure options to prevent collectd
    from being linked against this library if it's available.
  * Disabled xmms plugin - xmms will be removed from unstable
    (Closes: #459707).

 -- Sebastian Harl <sh@tokkee.org>  Sun, 27 Jan 2008 18:34:23 +0100

collectd (4.2.1-1) experimental; urgency=low

  * New upstream release.
  * Changed XS-Vcs-* to Vcs-*.
  * Marked advanced rrdtool configuration options as such in collectd.conf.
  * Added exec-munin.px, exec-munin.conf, exec-smartctl and snmp-data.conf to
    /usr/share/doc/collectd/examples/.
  * Moved "Homepage" field from package description to the source stanza.

 -- Sebastian Harl <sh@tokkee.org>  Wed, 21 Nov 2007 09:50:46 +0000

collectd (4.2.0-1) experimental; urgency=low

  * New upstream release.
    - Added options to collectd2html.pl to specify host and data directory
      (Closes: #438499).
    - Link against a thread-safe version of librrd.
    New plugins:
    - IPVS connection statistics: ipvs
    - Statistic of the memcached distributed caching system: memcached
    - Detailed Linux network interface and routing statistics: netlink (32bit
      systems only)
    - Nginx (a HTTP and E-Mail server/proxy) statistics: nginx
    - Values from SNMP enabled network devices: snmp
    - Number of TCP connections to specific ports: tcpconns
    - Bitrate and frequency of music played with XMMS: xmms
  * Updated init script to wait for collectd to shut down (Closes: #422208).
  * Merged all plugin packages into the collectd binary package.
  * Added README.Debian.plugins and gen_plugin_deps.pl to document the plugin
    dependencies.
  * Added collectd.overrides to override shlib-with-non-pic-code errors of
    plugins liked against static libraries which have not been linked with
    -fPIC.
  * Removed debian/examples/myplugin.c and debian/examples/MyPlugin.pm - they
    are included in the upstream sources now.
  * Added libcurl4-gnutls-dev as option to the libcurl3-gnutls-dev build
    dependency.

 -- Sebastian Harl <sh@tokkee.org>  Sun, 28 Oct 2007 13:38:21 +0100

collectd (4.0.7-1) experimental; urgency=low

  * New upstream release.
  * Disable iptables and nut plugins on hppa as well to work around a FTBFS
    caused by #358637 and presumably #419684 (Closes: #430933).
  * Changed collectd-dbg's section to "utils".
  * Added httpd-cgi to suggested packages.
  * Added documentation of the provided examples to README.Debian, thanks to
    Eduard Bloch for his proposal (Closes: #434182).

 -- Sebastian Harl <sh@tokkee.org>  Fri, 31 Aug 2007 10:04:41 +0200

collectd (4.0.3-1) experimental; urgency=low

  * New upstream release.

 -- Sebastian Harl <sh@tokkee.org>  Tue, 19 Jun 2007 21:41:21 +0100

collectd (4.0.2-1) experimental; urgency=low

  * New upstream release (Closes: #428114).
    - Added large file support (Closes: #422212).
    - Rewrite of the plugin system to allow more flexibility by using
      different types of plugins.
    - Added Nagios plugin to query collectd from Nagios.
    New plugins:
    - Output to "comma separated values" (CSV) files: csv
    - Output to RRD files: rrdtool
    - IO via the network: network
    - External runtime interface: unixsock
    - Embedding a Perl interpreter: perl
    - Logging to files, STDOUT or STDERR: logfile
    - Logging to syslog: syslog
    - Amount of available entropy: entropy
    - Execution of external programs: exec
    - Iptables statistics: iptables (32bit systems only)
    - IRQ counters: irq
    - UPS information: nut (32bit systems only)
  * New binary package collectd-perl (linking against libperl).
    - Added collectd-perl to suggested packages.
  * examples/myplugin.c: Converted to the new plugin interface.
  * Enabled debugging.
  * Added possibility to automatically migrate RRD files to collectd-4 using
    migrate-3-4.px and extractDS.px provided by upstream.
    - Added extractDS_path.dpatch to set an absolute path in migrate-3-4.px.
    - Using po-debconf to make translations of debconf templates possible.
  * Added NEWS.Debian with notes regarding the upgrade to collectd-4.
  * Updated init script to only start a single collectd process.
  * Added examples/MyPlugin.pm.
  * Added XS-Vcs-{Git,Browser} tags.
  * Added check_plugins.pl to check the build result of all plugins.
  * Do not build apple_sensors and tape plugins as they do not provide any
    functionality any longer.

 -- Sebastian Harl <sh@tokkee.org>  Wed, 13 Jun 2007 18:58:34 +0100

collectd (3.11.2-1) experimental; urgency=low

  * New upstream release.
  * Removed sensors-ignorelist.dpatch - has been merged upstream.
  * Removed email-ignore-size-le-0.dpatch - has been merged upstream.
  * Added watch file.
  * examples/myplugin.c: Pass "-" instead of NULL to plugin_submit().

 -- Sebastian Harl <sh@tokkee.org>  Thu, 15 Feb 2007 09:19:15 +0000

collectd (3.11.0-1) experimental; urgency=low

  * New upstream release.
    New plugins:
    - DNS traffic (query types, response codes, opcodes and traffic): dns
    - E-Mail statistics (count, traffic, spam scores and checks): email
    - Motherboard monitor: mbmon
    - Multimeter statistics: multimeter (beta version)
  * Upload to experimental because of Etch freeze.
  * New binary package collectd-dns (linking against libpcap).
    - Added collectd-dns to suggested packages.
  * Do not split off packages introducing new recommendations or suggestions.
    - Merge collectd-hddtemp into collectd.
    - Add hddtemp and mbmon to suggested packages.
  * Added sensors-ignorelist.dpatch: Avoid assertion in ignorelist_match ()
    when sensors plugin is not configured.
  * Added email-ignore-size-le-0.dpatch: Ignore the size of an email if it is
    less than or equal to zero.

 -- Sebastian Harl <sh@tokkee.org>  Sun, 24 Dec 2006 14:09:39 +0000

collectd (3.10.4-1) unstable; urgency=low

  * New upstream release.
    - Fix an infinite loop in server mode if binding to a socket fails and
      close the socket descriptor (Closes: #404018).
  * examples/myplugin.c: Include system headers before collectd headers to
    make it compile without any autoconf defines set (Closes: #401075).

 -- Sebastian Harl <sh@tokkee.org>  Fri, 22 Dec 2006 00:33:30 +0000

collectd (3.10.3-1) unstable; urgency=low

  * New upstream release.
  * Made package binNMUable:
    - Upstream assures API backward compatibility only between patch releases.
  * LSBized init script.

 -- Sebastian Harl <sh@tokkee.org>  Mon,  6 Nov 2006 13:09:28 +0000

collectd (3.10.2-1) unstable; urgency=low

  * New upstream release.
    - Retry connecting to remote host and database in ping and mysql plugins
      respectively (Closes: #393742).
  * Replaced libcurl3-dev build dependency with libcurl3-gnutls-dev to prevent
    linking against libssl.

 -- Sebastian Harl <sh@tokkee.org>  Fri,  3 Nov 2006 15:18:17 +0000

collectd (3.10.1-4) unstable; urgency=low

  * Changed collectd-dbg's section and priority to "devel" and "extra"
    respectively.
  * Set init start sequence code to 95 to be sure to start after any daemons
    that data is collected from.

 -- Sebastian Harl <sh@tokkee.org>  Thu,  5 Oct 2006 10:25:07 +0000

collectd (3.10.1-3) unstable; urgency=low

  * Added --oknodo to start-stop-daemon in the init script (Closes: #379703).

 -- Sebastian Harl <sh@tokkee.org>  Tue, 25 Jul 2006 18:34:55 +0200

collectd (3.10.1-2) unstable; urgency=low

  * Added collectd-dbg package.

 -- Sebastian Harl <sh@tokkee.org>  Sun, 23 Jul 2006 23:39:42 +0200

collectd (3.10.1-1) unstable; urgency=low

  * New upstream release.
  * Dynamically link against external liboping.
    - New binary package collectd-ping.
    - Added collectd-ping to suggested packages.
  * Moved config file from /usr/share/doc/collectd/examples/ to
    /etc/collectd/.

 -- Sebastian Harl <sh@tokkee.org>  Sat, 22 Jul 2006 21:43:37 +0200

collectd (3.10.0-1) unstable; urgency=low

  * New upstream release.
    New plugins:
    - APC UPS's charge, load, input/output/battery voltage, etc.: apcups
    - NTP daemon's local clock drift, offset to peers, etc.: ntpd
  * Upstream no longer provides a debian/ directory. Thus no repackaging is
    required any longer.
  * Not using getifaddrs() is now the default in upstream. getifaddrs.dpatch
    no longer needed.
  * Added collectd-hddtemp as a suggestion to the collectd package.

 -- Sebastian Harl <sh@tokkee.org>  Sun,  9 Jul 2006 21:52:13 +0200

collectd (3.9.4+debian-1) unstable; urgency=low

  * Initial release (Closes: #373008).
  * Removed upstream's debian/ directory from .orig.tar.gz.
  * getifaddrs.dpatch: Patching src/traffic.c to read data from /proc instead
    of using getifaddrs(). getifaddrs() does not seem to work correctly on
    AMD64.

 -- Sebastian Harl <sh@tokkee.org>  Fri,  7 Jul 2006 15:49:42 +0200

